[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ThresholdSplit< ColumnDecisionFunctor, Tag > Class Template Reference |

`#include <vigra/random_forest/rf_split.hxx>`

Inheritance diagram for ThresholdSplit< ColumnDecisionFunctor, Tag >:

List of all members.

## Public Member Functions
template<class T >
void | set_external_parameters (ProblemSpec< T > const &in)

## Detailed Description

### template<class ColumnDecisionFunctor, class Tag = ClassificationTag>
class vigra::ThresholdSplit< ColumnDecisionFunctor, Tag >

Chooses mtry columns and applies ColumnDecisionFunctor to each of the columns. Then Chooses the column that is best

## Member Function Documentation

void set_external_parameters | ( | ProblemSpec< T > const & | in | ) |

returns the DecisionTree Node created by SplitBase::findBestSplit() or SplitBase::makeTerminalNode().

Reimplemented from SplitBase< Tag >.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)